org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.META

- All Superinterfaces:
    HamletSpec._, HamletSpec._Child, HamletSpec.I18nAttrs
  All Known Implementing Classes:
    Hamlet.META
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.META
      extends HamletSpec.I18nAttrs, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.META` | `$content(String cdata)` associated information
    `HamletSpec.META` | `$http_equiv(String header)` HTTP response header name
    `HamletSpec.META` | `$name(String name)` metainformation name

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Method Detail

    - #### $http_equiv

          HamletSpec.META $http_equiv(String header)

      HTTP response header name
      Parameters:
        `header` -
      Returns:
        the current element builder

    - #### $name

          HamletSpec.META $name(String name)

      metainformation name
      Parameters:
        `name` -
      Returns:
        the current element builder

    - #### $content

          HamletSpec.META $content(String cdata)

      associated information
      Parameters:
        `cdata` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.